Subject: bug#19990: 24.4; Bad resizing interaction when WM ignores size hints

From: Yuri D'Elia <[email-masked]>
Date: Sun, 01 Mar 2020 22:24:56 +0100

On Sat, Feb 29 2020, Stefan Kangas wrote:
> I used to see this before running a tiling window manager (XMonad),
> but it has gone away sometime in recent years.  I don't think I've
> changed anything in my configuration.
>
> Are you still seeing this on a modern version of Emacs?  If I don't
> hear back from you within a couple of weeks, I'll just assume that
> this is fixed and close this bug as unreproducible.

It still happens also on master:

"GNU Emacs 28.0.50 (build 40, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw scroll bars) of 2020-03-01"

But it now happens only the first frame created right after starting
emacs (both regular or as a daemon).

After the first resize event and/or any new frame do not suffer from
this, so especially when used in daemon mode it's less noticeable.